/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package estimation.dataManipulation;

import java.io.BufferedReader;
import java.io.FileReader;
import java.util.ArrayList;

/**
 *
 * @author Stephen P. Ryan
 */
public class entryPopulation {

    ArrayList<stateObservation> populationData = new ArrayList<stateObservation>();

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        entryPopulation go = new entryPopulation();
    }

    public entryPopulation() {
        try {
            BufferedReader in = new BufferedReader(new FileReader("data/statePopulations.csv"));
            String line = in.readLine(); // headers
            line = in.readLine();
            while (line != null) {
                if (line != null) {
                    // System.out.println(line);
                    populationData.add(new stateObservation(line));
                    line = in.readLine();
                }
            }
            in.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public stateObservation getState(String state) {
        for (stateObservation o : populationData) {
            if(o.getAbbreviation().contains(state)) {
                return o;
            }
        }
        return null;
    }

    public double getPopulation(String state, int year) {
        if(state.equals("NB")) {
            return getState("NE").getPopulation(year);
        }
        return getState(state).getPopulation(year);
    }

}
