/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package estimation.ssrulesLikelihood;

import Jama.Matrix;
import utility.bsplineBasisGenerator;

/**
 *
 * @author Stephen P. Ryan
 */
public class investmentParametersContainer {
    private final bsplineBasisGenerator b1;
    private final bsplineBasisGenerator b2;
    private final Matrix betaBand;
    private final Matrix betaTarget;
    private final double varianceBandEquation;
    private final double varianceTargetEquation;


    public investmentParametersContainer(bsplineBasisGenerator b1, bsplineBasisGenerator b2, Matrix betaBand, Matrix betaTarget, double varianceBandEquation, double varianceTargetEquation) {
        this.b1 = b1;
        this.b2 = b2;
        this.betaBand = betaBand;
        this.betaTarget = betaTarget;
        this.varianceBandEquation = varianceBandEquation;
        this.varianceTargetEquation = varianceTargetEquation;
    }

    /**
     * @return the b1
     */
    public bsplineBasisGenerator getB1() {
        return b1;
    }

    /**
     * @return the b2
     */
    public bsplineBasisGenerator getB2() {
        return b2;
    }

    /**
     * @return the betaBand
     */
    public Matrix getBetaBand() {
        return betaBand;
    }

    /**
     * @return the betaTarget
     */
    public Matrix getBetaTarget() {
        return betaTarget;
    }

    /**
     * @return the varianceBandEquation
     */
    public double getVarianceBandEquation() {
        return varianceBandEquation;
    }

    /**
     * @return the varianceTargetEquation
     */
    public double getVarianceTargetEquation() {
        return varianceTargetEquation;
    }

}
