/*
 * primitives.java
 *
 * Created on May 1, 2004, 9:34 AM
 */
package simulation.mpneSimulation.utility;

/**
 *
 * @author  Stephen P. Ryan
 */
public class simulationPrimitives {

    public static boolean BOUND_FIXED_COST_ADJUSTMENT_POSITIVE = false;
    // ECONOMIC ENVIRONMENT INDICATPORS
    public static boolean COMPETITIVE = false;
    public static boolean SOCIAL_PLANNER = false;
    public static boolean LATE_PERIOD = true;
    public static boolean COUNTERFACTUAL = true;
    // STATE SPACE PARAMETERS
    public static int NUM_FIRMS = 4;
    public static int NUM_TYPE1 = 0; // set types to 0 for homogeneous firms
    public static int NUM_TYPE2 = 0;
    public static int CAPACITY_POINTS = 5; // note: should be at least 4, not too sparse not too many
    public static double MIN_CAPACITY = 200;
    public static double MAX_CAPACITY = 3000;
    public static double CAPACITY_INC = (MAX_CAPACITY - MIN_CAPACITY) / (CAPACITY_POINTS - 1);
    // SOLVER PARAMETERS
    public static boolean INTERPOLATION = true; // always true
    public static boolean SIMULATION = true;
    public static double DAMPENER = 0.99;
    public static double DAMPENER_VALUE = 0; // dampener for value function
    public static int NUM_THREADS = 3;
    public static boolean ABSORB = false;
    // SIMULATION PARAMETERS
    public static int NUM_SIMULATIONS = 200;
    public static int SIMULATION_LENGTH = 200;
    public static int[] TYPE = {0, 0, 0, 0};
    public static double[] CAPACITY = {0, 0, 0, 0};
    // GUI parameters
    public static boolean DISPLAY_GUI = false;
    public static boolean TS_EMISSIONS = false;
    // discount factor
    public static double DISCOUNT_FACTOR = 0.9;
}
