/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulation.mpneSolver;

import java.util.concurrent.Callable;

/**
 *
 * @author Stephen P. Ryan
 */
public class SetUpSpaceTask implements Callable<Integer> {

    stateSpace space;
    Jama.Matrix seed;
    int numFirms;

    public SetUpSpaceTask(stateSpace s, Jama.Matrix x, int n) {
        this.space = s;
        this.seed  = x;
        this.numFirms = n;
    }

    public Integer call() {
        space.addSeedingExpandedState(seed, 1, 0, space.getList(), numFirms);
        return 0;
    }


}
