/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulation.mpneSolver;

import java.io.Serializable;
import utility.pmUtility;

/**
 *
 * @author Mar Reguant
 */
public class expandedSpacePoint implements Comparable<expandedSpacePoint>, Serializable  {

    private Jama.Matrix point;
    
    public expandedSpacePoint(Jama.Matrix seed) {
        point = pmUtility.sortOnFirstElement(seed.copy());
    }
    
    public Jama.Matrix getMatrix() {
        return point;
    }

    public int compareTo(expandedSpacePoint s) {
        for (int i = 0; i < s.getMatrix().getRowDimension(); i++) {
            if (s.getMatrix().get(i,0) < point.get(i,0)) { // modified: used to be >
                return 1;
            }
            if (s.getMatrix().get(i,0) > point.get(i,0)) { // modified: used to be <
                return -1;
            }
        }
        return 0;
    }

}
