/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package estimation.entry;

import JSci.maths.statistics.NormalDistribution;

/**
 *
 * @author Stephen P. Ryan
 */
public class entryDataPoint {

    private boolean entry;
    private double competitorsCapacity;
    private int late;
    static NormalDistribution standardNormal = new NormalDistribution();

    public entryDataPoint(boolean entry, double competitorsCapacity, int late) {
        this.entry = entry;
        this.competitorsCapacity = competitorsCapacity;
        this.late = late;
    }

    public double getLikelihood(double[] x) {
        if (entry) {
            return standardNormal.probability(x[1] + x[2] * late + x[3] * competitorsCapacity);
        } else {
            return 1.0 - standardNormal.probability(x[1] + x[2] * late + x[3] * competitorsCapacity);
        }
    }
}
