/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package estimation.exit;

import JSci.maths.statistics.NormalDistribution;

/**
 *
 * @author Stephen P. Ryan
 */
public class exitDataPoint {

    private boolean exit;
    private double ownCapacity;
    private double competitorsCapacity;
    private int late;
    static NormalDistribution standardNormal = new NormalDistribution();

    public exitDataPoint(boolean exit, double ownCapacity, double competitorsCapacity, int late) {
        this.exit = exit;
        this.ownCapacity = ownCapacity;
        this.competitorsCapacity = competitorsCapacity;
        this.late = late;
    }

    public double getLikelihood(double[] x) {
        if (exit) {
            return standardNormal.probability(x[1] + x[2] * late + x[3] * ownCapacity + x[4] * competitorsCapacity);
        } else {
            return 1.0 - standardNormal.probability(x[1] + x[2] * late + x[3] * ownCapacity + x[4] * competitorsCapacity);
        }
    }
}
