/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package simulation.mpneSolver;

import java.util.concurrent.Callable;

/**
 *
 * @author Stephen P. Ryan
 */
public class SolveBellmanTask implements Callable<Integer> {

    stateSpacePoint s;
    private boolean solvePolicy;
    private coefficientValues coeff;

    public SolveBellmanTask(stateSpacePoint s, boolean solvePolicy) {
        this.s = s;
        this.solvePolicy = solvePolicy;
    }

    SolveBellmanTask(stateSpacePoint s, boolean solvePolicy, coefficientValues c) {
        this.s = s;
        this.solvePolicy = solvePolicy;
        this.coeff  = c;
    }

    public Integer call() {
        if (!s.getABSORBED()) {
            s.solveValue(solvePolicy,coeff);
            s.updatePolicyOnly();
        }
        return 0;
    }


}
